Skip to Content
veriom

Audit log filter options

List the actions, resource types, and actors that occur in the workspace audit log.

GET
/v1/workspaces/{workspace_id}/audit-log/filters

List the actions, resource types, and actors that occur in the workspace audit log.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response

Values recorded in a workspace's audit log, for building filter controls.

actions*array<string>
actors*array<>
resource_types*array<string>
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-log/filters'
Example Response
{  "actions": [    "string"  ],  "actors": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "label": "string"    }  ],  "resource_types": [    "string"  ]}